Subject: Re: External Monitor under Pismo

From: Michel Dänzer <[email-masked]>
Date: Thu, 05 Apr 2001 21:48:21 +0200

"Jason E. Stewart" wrote:

> > > > > Should I just use apt-get to grab the server source, or do I need
> > > > > Ani Joshi's tree especially?
> > > >
> > > > Both should be more or less equivalent. The best would of course be to
> > > > get it from CVS.
> > >
> > > Fine by me. What repository should I use,
> > >    [email-masked]:/cvs
> >
> > Yes. Note that the current trunk doesn't contain CRTOnly anymore in
> > "favour" of a "UseBIOSDisplay" option (very portable ;). I suggest getting
> > the xf-4_0_2-branch .
>
> Ok. grabbed it. Now all I really need to build is just the Rage128
> driver, right? I don't have to build the entire system. Do you know
> what I need to comment out in the config files to just build the
> minimum subset?

cp config/cf/{xf86site,host}.def

Uncomment '#define BuildServersOnly YES' in host.def and remove all drivers
but ati for XF86CardDrivers .

make World 2>&1|tee World.log

Will take about an hour (Pismo/400).

grep '\*\*\*' World.log

Check any matches this yields.

Good luck!

PS: Hope I don't forget anything ;)

--
Earthling Michel Dänzer (MrCooper)    \   Debian GNU/Linux (powerpc) developer
CS student, Free Software enthusiast   \        XFree86 and DRI project member

** Sent via the linuxppc-dev mail list. See http://lists.linuxppc.org/